<ng-container *ngIf="user">
  <!-- side content -->
  <app-side-modal-content>
    <!-- title -->
    <app-side-modal-title>
      Toolkit CONFIGURATION
      <!-- toolkit reverse icon -->
      <app-icon-toolkit-reverse></app-icon-toolkit-reverse>
    </app-side-modal-title>

    <!-- content -->
    <app-custom-scrollbar class="app-content">
      <!-- label -->
      <div class="app-label">
        General Info
      </div>

      <!-- toolkit info -->
      <app-toolkit-info [toolkit]="user.toolkit"></app-toolkit-info>

      <!-- label -->
      <div class="app-label">
        Download App Links
      </div>

      <!-- download badges -->
      <div class="app-badges">
        <a>
          <img alt="App Store" src="/assets/images/app-store-badge.svg" />
        </a>
        <a>
          <img alt="Google Play" src="/assets/images/google-play-badge.svg" />
        </a>
      </div>

      <!-- auth code generator -->
      <app-auth-code-generator [user]="user" type="toolkit">
        <ng-container message>
          In order to verify your toolkit app, you must input an auth code. Please generate the auth code below, you
          also have an option to send it via email.
        </ng-container>
      </app-auth-code-generator>
    </app-custom-scrollbar>
  </app-side-modal-content>

  <!-- footer -->
  <app-side-modal-footer>
    <!-- done -->
    <button appFlatButton theme="secondary">
      Done
    </button>

    <!-- cancel -->
    <button (click)="emitCancelClick()" appInlineButton theme="secondary">
      Cancel
    </button>
  </app-side-modal-footer>
</ng-container>
